package net.locusworks.s3sync.client;

import java.nio.file.Path;

public class FileDetail {
  
  private Path file;
  private String hash;
  private boolean uploaded;
  
  public FileDetail() {}
  /**
   * @param file
   * @param hash
   * @param uploaded
   */
  public FileDetail(Path file, String hash, boolean uploaded) {
    this.file = file;
    this.hash = hash;
    this.uploaded = uploaded;
  }
  /**
   * @return the file
   */
  public synchronized final Path getFile() {
    return file;
  }
  /**
   * @param file the file to set
   */
  public synchronized final void setFile(Path file) {
    this.file = file;
  }
  /**
   * @return the hash
   */
  public synchronized final String getHash() {
    return hash;
  }
  /**
   * @param hash the hash to set
   */
  public synchronized final void setHash(String hash) {
    this.hash = hash;
  }
  /**
   * @return the uploaded
   */
  public synchronized final boolean isUploaded() {
    return uploaded;
  }
  /**
   * @param uploaded the uploaded to set
   */
  public synchronized final void setUploaded(boolean uploaded) {
    this.uploaded = uploaded;
  }

}
